package main

import (
	"encoding/csv"
	"fmt"
	"os"
  "git.cems.dev/cdricms/bdooc/parsing"
)

func main() {
	f, err := os.Open("50000 Records.csv")
	if err != nil {
		fmt.Println(err)
	}

	defer f.Close()

	reader := csv.NewReader(f)

	employees, err := parsing.UnmarshalEmployees(reader)
	if err != nil {
		fmt.Println(err)
	}

	fmt.Println(employees[:10])

}
